javax.resource.spi

## Enum TransactionSupport.TransactionSupportLevel

- java.lang.Object
- - java.lang.Enum<TransactionSupport.TransactionSupportLevel>
  - - javax.resource.spi.TransactionSupport.TransactionSupportLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionSupport.TransactionSupportLevel>
  Enclosing interface:
    TransactionSupport

      public static enum TransactionSupport.TransactionSupportLevel
      extends java.lang.Enum<TransactionSupport.TransactionSupportLevel>

  An enumerated type that represents the levels of transaction support a resource adapter may support.
  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LocalTransaction` The resource adapter supports resource manager local transactions by implementing the `LocalTransaction` interface.
    `NoTransaction` The resource adapter supports neither resource manager nor JTA transactions.
    `XATransaction` The resource adapter supports both resource manager local and JTA transactions by implementing the `LocalTransaction` and `XAResource` interfaces.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionSupport.TransactionSupportLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionSupport.TransactionSupportLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoTransaction

          public static final TransactionSupport.TransactionSupportLevel NoTransaction

      The resource adapter supports neither resource manager nor JTA transactions.
      Since:
        1.6

    - #### LocalTransaction

          public static final TransactionSupport.TransactionSupportLevel LocalTransaction

      The resource adapter supports resource manager local transactions by implementing the `LocalTransaction` interface.
      Since:
        1.6

    - #### XATransaction

          public static final TransactionSupport.TransactionSupportLevel XATransaction

      The resource adapter supports both resource manager local and JTA transactions by implementing the `LocalTransaction` and `XAResource` interfaces.
      Since:
        1.6

  - ### Method Detail

    - #### values

          public static TransactionSupport.TransactionSupportLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionSupport.TransactionSupportLevel c : TransactionSupport.TransactionSupportLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionSupport.TransactionSupportLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)